Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv	(revision 17975)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv	(revision 17976)
@@ -826,2 +826,85 @@
 IOEDTE,IOE,IOEDTE,46200,16000,1000,4500,3000,3000,,
 IOEDPE,IOE,IOEPHE,46200,16000,1000,4500,3000,3000,,
+BAGRPT,FAG,EES,115000,16000,,4500,3000,3000,100_20000,1000
+BAGRPTP,FAG,EES,115000,16000,,4500,3000,3000,100_20000,1000
+BAENGPT,FAT,ENG,115000,16000,,4500,3000,3000,100_20000,1000
+BAENGPTP,FAT,ENG,115000,16000,,4500,3000,3000,100_20000,1000
+BEDMATPT,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDMATPTP,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDECOPT,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDECOPTP,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDEDMPT,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDEDMPTP,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDGRPPT,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDGRPPTP,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDPSEPT,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDPSEPTP,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDACCPT,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDACCPTP,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDAGRPT,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDAGRPTP,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDENGPT,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDENGPTP,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDHECPT,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDHECPTP,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDSECPT,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDSECPTP,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDTEEPT,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BEDTEEPTP,FED,VTE,115000,16000,,4500,3000,3000,100_20000,1000
+BAENGSH,FAT,ENG,115000,16000,,4500,3000,3000,100_20000,1000
+BEDACCSH,FED,BED,115000,16000,,4500,3000,3000,100_20000,1000
+BEDOTMSH,FED,BED,115000,16000,,4500,3000,3000,100_20000,1000
+BEDBIOPTP,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDBIOSH,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDCHMSH,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDFRNPT,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDFRNPTP,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDMTHSH,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDPHYSH,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDPPESH,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDSSESH,FED,CAI,115000,16000,,4500,3000,3000,100_20000,1000
+BEDEDMSH,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDHISSH,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDRSESH,FED,EFM,115000,16000,,4500,3000,3000,100_20000,1000
+BEDECOSH,FED,GAC,115000,16000,,4500,3000,3000,100_20000,1000
+BEDGACSH,FED,GAC,115000,16000,,4500,3000,3000,100_20000,1000
+BEDGEOSH,FED,GAC,115000,16000,,4500,3000,3000,100_20000,1000
+BEDPOLSH,FED,GAC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCGEMSH,FES,GEM,115000,16000,,4500,3000,3000,100_20000,1000
+BSCGRPPT,FES,GEM,115000,16000,,4500,3000,3000,100_20000,1000
+BSCGRPPTP,FES,GEM,115000,16000,,4500,3000,3000,100_20000,1000
+BSCACCPT,FMS,ACC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCACCPTP,FMS,ACC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCACCSH,FMS,ACC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCBAFPT,FMS,BAF,115000,16000,,4500,3000,3000,100_20000,1000
+BSCBAFPTP,FMS,BAF,115000,16000,,4500,3000,3000,100_20000,1000
+BSCBAFSH,FMS,BAF,115000,16000,,4500,3000,3000,100_20000,1000
+BSCBUSPT,FMS,BUS,115000,16000,,4500,3000,3000,100_20000,1000
+BSCBUSPTP,FMS,BUS,115000,16000,,4500,3000,3000,100_20000,1000
+BSCBUSSH,FMS,BUS,115000,16000,,4500,3000,3000,100_20000,1000
+BSCPADPT,FMS,PUB,115000,16000,,4500,3000,3000,100_20000,1000
+BSCPADPTP,FMS,PUB,115000,16000,,4500,3000,3000,100_20000,1000
+BSCPUBSH,FMS,PUB,115000,16000,,4500,3000,3000,100_20000,1000
+BSCCSCPT,FPS,CSC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCCSCPTP,FPS,CSC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCCSCSH,FPS,CSC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCIMTHSH,FPS,MTH,115000,16000,,4500,3000,3000,100_20000,1000
+BSCMATPT,FPS,MTH,115000,16000,,4500,3000,3000,100_20000,1000
+BSCMATPTP,FPS,MTH,115000,16000,,4500,3000,3000,100_20000,1000
+BSCMTHSH,FPS,MTH,115000,16000,,4500,3000,3000,100_20000,1000
+BSCSTASH,FPS,MTH,115000,16000,,4500,3000,3000,100_20000,1000
+BSCECOPT,FSS,ECO,115000,16000,,4500,3000,3000,100_20000,1000
+BSCECOPTP,FSS,ECO,115000,16000,,4500,3000,3000,100_20000,1000
+BSCECOSH,FSS,ECO,115000,16000,,4500,3000,3000,100_20000,1000
+BSCPOLSH,FSS,POL,115000,16000,,4500,3000,3000,100_20000,1000
+BSCPOSPT,FSS,POL,115000,16000,,4500,3000,3000,100_20000,1000
+BSCPOSPTP,FSS,POL,115000,16000,,4500,3000,3000,100_20000,1000
+BSCCRMPT,FSS,SOC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCCRMPTP,FSS,SOC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCCRMSH,FSS,SOC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCSOCPT,FSS,SOC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCSOCPTP,FSS,SOC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCSOCSH,FSS,SOC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCSOWPT,FSS,SOC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCSOWPTP,FSS,SOC,115000,16000,,4500,3000,3000,100_20000,1000
+BSCSOWSH,FSS,SOC,115000,16000,,4500,3000,3000,100_20000,1000