Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/browser.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/browser.py	(revision 17943)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/browser.py	(revision 17978)
@@ -275,4 +275,39 @@
 PAY_ITEM_ID = 'Default_Payable_MX104253'
 
+SPLITT_ACCOUNTS = {
+        'schoolfee':            [{"alias":"espu school fees account","percentage":"100","description":"Tuition Exams Fee","isPrimary":"true"},],
+        'clearance':            [{"alias":"espu school fees account","percentage":"85","description":"Acceptance Fee","isPrimary":"true"},
+                                 {"alias":"waeac","percentage":"15","description":"WAEAC Fee"},],
+        # 'bed_allocation': 'Accommodation Booking Fee',
+        'hostel_maintenance':   [{"alias":"espu school fees account","description":"Hostel Maintenance Fee","isPrimary":"true"},],
+        #'application': 'Application Fee',
+        'ict_entre':            [{"alias":"espu school fees account","percentage":"70","description":"ICT and Entrepreneur Fee","isPrimary":"true"},
+                                 {"alias":"waeac","percentage":"30","description":"Provider_amt"},],
+        'logbook_combo':        [{"alias":"espu school fees account","percentage":"100","description":"Logbook Fee","isPrimary":"true"},],
+        'siwess_combo':         [{"alias":"espu school fees account","description":"SIWES Fee","percentage":"100","isPrimary":"true"},],
+        'transcript':           [{"alias":"espu school fees account","percentage":"100","description":"Transcript Fee","isPrimary":"true"},],
+        #'certificate': 'Certificate Fee',
+        'certificate_confirm':  [{"alias":"espu school fees account","percentage":"100","description":"Certificate Confirmation Fee","isPrimary":"true"},],
+        'late_registration':    [{"alias":"espu school fees account","percentage":"100","description":"Late Course Registration Fee","isPrimary":"true"},],
+        'final_clearance':      [{"alias":"espu school fees account","percentage":"100","description":"Final Clearance Fee","isPrimary":"true"},],
+        'union':                [{"alias":"esp sug","percentage":"100","description":"Student Union Dues","isPrimary":"true"},],
+        'admission_checking':   [{"alias":"espu school fees account","percentage":"100","description":"Admission Checking Fee,","isPrimary":"true"},],
+        'medical':              [{"alias":"espu school fees account","percentage":"100","description":"Medical Lab. Test Fee","isPrimary":"true"},],
+        'conv_nd':              [{"alias":"espu school fees account","percentage":"100","description":"ND Convocation Fee","isPrimary":"true"},],
+        'conv_hnd':             [{"alias":"espu school fees account","percentage":"100","description":"HND Convocation Fee","isPrimary":"true"},],
+        'nhis':                 [{"alias":"esp nhis","percentage":"100","description":"Tiship Fee","isPrimary":"true"},],
+        'coc':                  [{"alias":"espu school fees account","percentage":"100","description":"Change of Course Fee","isPrimary":"true"},],
+        'damages':              [{"alias":"espu school fees account","percentage":"100","description":"Damages Fee","isPrimary":"true"},],
+        'project_bind':         [{"alias":"espu school fees account","percentage":"100","description":"Project Binding Fee","isPrimary":"true"},],
+        'maintenance':          [{"alias":"espu school fees account","percentage":"100","description":"Maintenance & Utility Fee","isPrimary":"true"},],
+        #'cyber': 'Cyber Security',
+        'ispon':                [{"alias":"esp/ispon safety pp","percentage":"100","description":"ISPON Safety Fee","isPrimary":"true"},],
+        'indigene':             [{"alias":"espu school fees account","percentage":"100","description":"Non-State Indigene Fee","isPrimary":"true"},],
+        'develop':              [{"alias":"espu school fees account","percentage":"100","description":"Development Fee","isPrimary":"true"},],
+        'sport':                [{"alias":"espu school fees account","percentage":"100","description":"Sport Development Fee","isPrimary":"true"},],
+        'gown':                 [{"alias":"espu school fees account","percentage":"100","description":"Matriculation Gown Fee","isPrimary":"true"},],
+        'global_practics':      [{"alias":"espu school fees account","percentage":"100","description":"Global Practice Fee","isPrimary":"true"},],
+        }
+
 class CustomWebCheckoutPageStudent(WebCheckoutPageStudent):
     """ View which sends a POST request to the Interswitch
@@ -287,4 +322,9 @@
     product_id = PRODUCT_ID
 
+    @property
+    def split_accounts(self):
+        sa = SPLITT_ACCOUNTS.get(self.context.p_category, None)
+        return str(sa)
+
 class CustomWebCheckoutPageApplicant(WebCheckoutPageApplicant):
     """ View which sends a POST request to the Interswitch
@@ -297,4 +337,9 @@
     merchant_code = MERCHANT_CODE
 
+    @property
+    def split_accounts(self):
+        sa = [{"alias": "espu school fees account","percentage":"","description":"Application Fee","isPrimary":"true"},]
+        return str(sa)
+
 class CustomWebCheckoutConfirmTransactionStudent(WebCheckoutConfirmTransactionStudent):
     """ Request webservice view for the WebCheckout gateway
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/utils/utils.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/utils/utils.py	(revision 17943)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/utils/utils.py	(revision 17978)
@@ -80,5 +80,5 @@
         'schoolfee': 'Tuition/Exams Fee',
         'clearance': 'Acceptance Fee',
-        'bed_allocation': 'Accommodation Booking Fee',
+        #'bed_allocation': 'Accommodation Booking Fee',
         'hostel_maintenance': 'Hostel Maintenance Fee',
         'application': 'Application Fee',
@@ -87,5 +87,5 @@
         'siwess_combo': 'SIWESS Combo Fee',
         #'transcript': 'Transcript Fee',
-        'certificate': 'Certificate Fee',
+        #'certificate': 'Certificate Fee',
         'certificate_confirm': 'Certificate Confirmation Fee',
         'late_registration': 'Late Course Registration Fee',
@@ -101,5 +101,5 @@
         'project_bind': 'Project Binding Fee',
         'maintenance':'Maintenance and Utility Fees',
-        'cyber': 'Cyber Security',
+        #'cyber': 'Cyber Security',
         'ispon': 'ISPON Safety',
         'indigene': 'Non-State Indigene Fee',