Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 17999)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 18000)
@@ -17,9 +17,9 @@
 DPM,ENG,DMIC,83500,73500,83500,73500
 DPMT,ENG,DMIC,83500,73500,83500,73500
-DEC,INE,INE,62000,28800,62000,28800
-DHE,INE,INE,65000,28800,65000,28800
-DLS,INE,INE,66000,28200,66000,28200
-DME,INE,INE,65000,28800,65000,28800
-DPE,INE,INE,65000,28800,65000,28800
+DEC,INE,INE,83500,73500,83500,73500
+DHE,INE,INE,83500,73500,83500,73500
+DLS,INE,INE,83500,73500,83500,73500
+DME,INE,INE,83500,73500,83500,73500
+DPE,INE,INE,83500,73500,83500,73500
 ADHFM,INP,INP,66000,29800,66000,29800
 DHAM,INP,INP,69000,32800,69000,32800
@@ -1273,4 +1273,5 @@
 LLMPT,LAW,LAW,229500,187700,3000000,3000000
 BAGAEE,AGR,AEE,115500,95500,115500,95500
+BAGFOD,AGR,FOD,115500,95500,115500,95500
 BAGANS,AGR,ANS,115500,95500,115500,95500
 BAGCRS,AGR,CRS,115500,95500,115500,95500
@@ -1802,19 +1803,19 @@
 BASEDU,VTE,AED,115500,95500,115500,95500
 BASESW,VTE,AED,98500,47700,98500,47700
-BFAEDU,VTE,AED,115500,95500,115500,95500
+BFAEDU,VTE,AED,105500,85500,105500,85500
 BFAESW,VTE,AED,98500,47700,98500,47700
-BACEDU,VTE,BED,115500,95500,115500,95500
+BACEDU,VTE,BED,105500,85500,105500,85500
 BACESW,VTE,BED,98500,47700,98500,47700
-BBEEDU,VTE,BED,115500,95500,115500,95500
+BBEEDU,VTE,BED,105500,85500,105500,85500
 BBEESW,VTE,BED,98500,47700,98500,47700
 BCSEDU,VTE,BED,115500,95500,115500,95500
 BCSESW,VTE,BED,98500,47700,98500,47700
-BENEDU,VTE,BED,115500,95500,115500,95500
+BENEDU,VTE,BED,105500,85500,105500,85500
 BENESW,VTE,BED,98500,47700,98500,47700
-BMKEDU,VTE,BED,115500,95500,115500,95500
+BMKEDU,VTE,BED,105500,85500,105500,85500
 BMKESW,VTE,BED,98500,47700,98500,47700
 BTMEDU,VTE,BED,115500,95500,115500,95500
 BTMESW,VTE,BED,98500,47700,98500,47700
-BCDEDU,VTE,HEE,115500,95500,115500,95500
+BCDEDU,VTE,HEE,105500,85500,105500,85500
 BCDESW,VTE,HEE,98500,47700,98500,47700
 BCTEDU,VTE,HEE,115500,95500,115500,95500
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 17999)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 18000)
@@ -17,9 +17,9 @@
 DPM,ENG,DMIC,93500,83500,93500,83500
 DPMT,ENG,DMIC,93500,83500,93500,83500
-DEC,INE,INE,62000,28800,62000,28800
-DHE,INE,INE,65000,28800,65000,28800
-DLS,INE,INE,66000,28200,66000,28200
-DME,INE,INE,65000,28800,65000,28800
-DPE,INE,INE,65000,28800,65000,28800
+DEC,INE,INE,83500,73500,83500,73500
+DHE,INE,INE,83500,73500,83500,73500
+DLS,INE,INE,83500,73500,83500,73500
+DME,INE,INE,83500,73500,83500,73500
+DPE,INE,INE,83500,73500,83500,73500
 ADHFM,INP,INP,66000,29800,66000,29800
 DHAM,INP,INP,69000,32800,69000,32800
@@ -1272,4 +1272,5 @@
 LLMPT,LAW,LAW,229500,187700,3000000,3000000
 BAGAEE,AGR,AEE,115500,95500,115500,95500
+BAGFOD,AGR,FOD,115500,95500,115500,95500
 BAGANS,AGR,ANS,115500,95500,115500,95500
 BAGCRS,AGR,CRS,115500,95500,115500,95500
@@ -1802,19 +1803,19 @@
 BASEDU,VTE,AED,115500,95500,115500,112400
 BASESW,VTE,AED,98500,47700,98500,112400
-BFAEDU,VTE,AED,115500,95500,115500,112400
+BFAEDU,VTE,AED,105500,85500,115500,112400
 BFAESW,VTE,AED,98500,47700,98500,112400
-BACEDU,VTE,BED,115500,95500,115500,112400
+BACEDU,VTE,BED,105500,85500,105500,112400
 BACESW,VTE,BED,98500,47700,98500,112400
-BBEEDU,VTE,BED,115500,95500,115500,112400
+BBEEDU,VTE,BED,105500,85500,105500,112400
 BBEESW,VTE,BED,98500,47700,98500,112400
 BCSEDU,VTE,BED,115500,95500,115500,112400
 BCSESW,VTE,BED,98500,47700,98500,112400
-BENEDU,VTE,BED,115500,95500,115500,112400
+BENEDU,VTE,BED,105500,85500,105500,112400
 BENESW,VTE,BED,98500,47700,98500,112400
-BMKEDU,VTE,BED,115500,95500,115500,112400
+BMKEDU,VTE,BED,105500,85500,105500,112400
 BMKESW,VTE,BED,98500,47700,98500,112400
 BTMEDU,VTE,BED,115500,95500,115500,112400
 BTMESW,VTE,BED,98500,47700,98500,112400
-BCDEDU,VTE,HEE,115500,95500,115500,112400
+BCDEDU,VTE,HEE,105500,85500,105500,85500
 BCDESW,VTE,HEE,98500,47700,98500,112400
 BCTEDU,VTE,HEE,115500,95500,115500,112400
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv	(revision 17999)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv	(revision 18000)
@@ -17,9 +17,9 @@
 DPM,ENG,DMIC,93500,83500,93500,83500
 DPMT,ENG,DMIC,93500,83500,93500,83500
-DEC,INE,INE,62000,28800,62000,28800
-DHE,INE,INE,65000,28800,65000,28800
-DLS,INE,INE,66000,28200,66000,28200
-DME,INE,INE,65000,28800,65000,28800
-DPE,INE,INE,65000,28800,65000,28800
+DEC,INE,INE,93500,83500,93500,83500
+DHE,INE,INE,93500,83500,93500,83500
+DLS,INE,INE,93500,83500,93500,83500
+DME,INE,INE,93500,83500,93500,83500
+DPE,INE,INE,93500,83500,93500,83500
 ADHFM,INP,INP,66000,29800,66000,29800
 DHAM,INP,INP,69000,32800,69000,32800
@@ -1272,4 +1272,5 @@
 LLMPT,LAW,LAW,229500,187700,3000000,3000000
 BAGAEE,AGR,AEE,115500,95500,115500,95500
+BAGFOD,AGR,FOD,115500,95500,115500,95500
 BAGANS,AGR,ANS,115500,95500,115500,95500
 BAGCRS,AGR,CRS,115500,95500,115500,95500
@@ -1802,19 +1803,19 @@
 BASEDU,VTE,AED,115500,95500,115500,112400
 BASESW,VTE,AED,98500,47700,98500,112400
-BFAEDU,VTE,AED,115500,95500,115500,112400
+BFAEDU,VTE,AED,105500,85500,115500,112400
 BFAESW,VTE,AED,98500,47700,98500,112400
-BACEDU,VTE,BED,115500,95500,115500,112400
+BACEDU,VTE,BED,105500,85500,115500,112400
 BACESW,VTE,BED,98500,47700,98500,112400
-BBEEDU,VTE,BED,115500,95500,115500,112400
+BBEEDU,VTE,BED,105500,85500,115500,112400
 BBEESW,VTE,BED,98500,47700,98500,112400
 BCSEDU,VTE,BED,115500,95500,115500,112400
 BCSESW,VTE,BED,98500,47700,98500,112400
-BENEDU,VTE,BED,115500,95500,115500,112400
+BENEDU,VTE,BED,105500,85500,115500,112400
 BENESW,VTE,BED,98500,47700,98500,112400
-BMKEDU,VTE,BED,115500,95500,115500,112400
+BMKEDU,VTE,BED,105500,85500,115500,112400
 BMKESW,VTE,BED,98500,47700,98500,112400
 BTMEDU,VTE,BED,115500,95500,115500,112400
 BTMESW,VTE,BED,98500,47700,98500,112400
-BCDEDU,VTE,HEE,115500,95500,115500,112400
+BCDEDU,VTE,HEE,105500,85500,115500,112400
 BCDESW,VTE,HEE,98500,47700,98500,112400
 BCTEDU,VTE,HEE,115500,95500,115500,112400