Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser_templates/checktranscriptstatus.pt
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser_templates/checktranscriptstatus.pt	(revision 18015)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser_templates/checktranscriptstatus.pt	(revision 18016)
@@ -1,44 +1,56 @@
 <br />
 <ol>
-<li> Visit https://alumni.uniben.edu</li>
-<li>  Click on 'Request for Transcript'.
-Applicants are advised to have a valid email account before starting the application process (not the cybercafe’s email).</li>
-<li> Read the instruction on the page.</li>
-<li> Provide all necessary information. Note that * means compulsory fields.
-An immediate mail will be sent to the provided email address.
-</li>
-<li>
-Open your email to get your system-generated ID and Password that you will use to LOG IN.
-</li>
-<li> On https://alumni.uniben.edu click on 'Login' (top right of the page).
-</li>
-<li> Enter your user name and the password from the mail to login.
-</li>
-<li>
-To start the application process proper, Click on <b> 'Edit application record' </b> , Provide all required information and upload your passport photograph. (Upload a clear 1" x 1" COLOURED passport photograph with red background in JPEG format only)
-</li>
-<li> Upload Eligibility Form and Statement of Result in either JPG or PDF files only. Max. file size: 250 KB.
-</li>
-<li> To pay for the Application, click on "Add online payment ticket" at the bottom of the page, then click on "Pay with Remita" on the top left corner of the page, follow the instruction to pay the Transcript fee (see below) with an ATM-Enabled Visa or Master Card from any commercial Bank.
-</li>
-<li> Preview and confirm information provided before submitting your application online.
-</li>
+    <li>Visit <a href="https://alumni.uniben.edu">https://alumni.uniben.edu</a></li>
+    <li>Click on 'Request for Transcript'.<br/>
+        Applicants are advised to have a valid email account before starting the application process (not the cybercafe’s email).</li>
+    <li>Read the instruction on the page.</li>
+    <li>Provide all necessary information. Note that * means compulsory fields.<br/>
+        An immediate mail will be sent to the provided email address.</li>
+    <li>Open your email to get your system-generated ID and Password that you will use to LOG IN.</li>
+    <li>On <a href="https://alumni.uniben.edu">https://alumni.uniben.edu</a> click on 'Login' (top right of the page).</li>
+    <li>Enter your username and the password from the mail to login.</li>
+    <li>To start the application process, click on <b>'Edit application record'</b>, provide all required information, and upload your passport photograph.<br/>
+        (Upload a clear 1" x 1" COLOURED passport photograph with a red background in JPEG format only).</li>
+    <li>Upload Eligibility Form and Statement of Result in either JPG or PDF files only. Max. file size: 250 KB.</li>
+    <li>To pay for the Application, click on "Add online payment ticket" at the bottom of the page, then click on "Pay with Remita" on the top left corner of the page.<br/>
+        Follow the instructions to pay the transcript fee (see below) with an ATM-enabled Visa or MasterCard from any commercial bank.</li>
+    <li>Preview and confirm the information provided before submitting your application online.</li>
 </ol>
-<p>PLEASE NOTE</p>
-<p>You cannot edit your application after submission. Note that processing of the transcript request will not start until you submit since it is assumed that you are still making changes</p>
-<p>AMOUNT TO BE PAID IS DETERMINED by the following factors:</p>
+
+<p><b>PLEASE NOTE</b></p>
+<p>You cannot edit your application after submission. Note that processing of the transcript request will not start until you submit, since it is assumed that you are still making changes until submitted.</p>
+
+<p><b>AMOUNT TO BE PAID FOR TRANSCRIPTS IS AS FOLLOWS (Excluding Bank and Portal Charges):</b></p>
 <ul>
-<li>Destination: within Nigeria; within Africa; outside Africa</li>
-<li>Type of Order:
-Original: not requested transcript before or original required regardless
-<br/>
-Certified True Copy: only if transcript has been requested in the past
-<br/>
-Postgraduate transcripts can only be of type original.
-</li>
+    <li>Destination: within Nigeria (Local) =N= 25,000</li>
+    <li>Outside Nigeria (International) =N= 35,000</li>
 </ul>
-<p>Include the email address of recipient body to ensure that the electronic copy can be sent to precede the physical copy that is posted via courier.</p>
-<p>When payment is successful in your account but does not reflect on the application, go ahead and reuery: Open the payment ticket, click on <b>'Requery Remita Payement Status'</b>.</p>
-<p> For further Enquirirs, Please Contact <b> 08099993537  or  examsandrecords_transcripts@uniben.edu</b>.</p>
+
+<p><b>Please note that a soft copy transcript will be sent via email at no extra cost to the recipient's body.</b></p>
+
+<p><b>Applicants who require hard copy transcripts and other academic documents will bear the cost of dispatch via courier desk officers, who can be reached through the contacts listed below:</b></p>
+
+<p><b>Choose according to which type of courier you want: Local or International.</b></p>
+
+<p><b>Desk Officer LOCAL (Nigeria):</b></p>
+<ol>
+    <li>08161678849</li>
+    <li>08102164888</li>
+    <li>09125644843</li>
+</ol>
+
+<p><b>Desk Officer INTERNATIONAL:</b></p>
+<ol>
+    <li>08138567580</li>
+    <li>07088540813</li>
+</ol>
+
+<p>When payment is successful in your account but does not reflect on the application, go ahead and requery:</p>
+<p>Open the payment ticket, click on <b>'Requery Remita Payment Status'</b>.</p>
+
+<p>Send an email to <b>sunday.ikharo@uniben.edu</b> for payment-related issues.</p>
+
+<p>For further enquiries, please contact <b>02014537005, 08099993537</b> or <b>examsandrecords_transcripts@uniben.edu</b>.</p>
+
 
 <h3>Check transcript status</h3>