Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 18020)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 18022)
@@ -1564,7 +1564,7 @@
 BSCMTP,SCN,MAP,49500,14000,49500,14000
 BSCPPP,SCN,PPP,49500,14000,49500,14000
-BSCES,SPESSE,SPESSE,0,0,73400,60500
-BSCPM,SPESSE,SPESSE,0,0,73400,60500
-BSCSS,SPESSE,SPESSE,0,0,73400,60500
+BSCES,SPESSE,SPESSE,73400,60500,73400,60500
+BSCPM,SPESSE,SPESSE,73400,60500,73400,60500
+BSCSS,SPESSE,SPESSE,73400,60500,73400,60500
 BSCCRT,SSC,GEO,69900,56500,69900,56500
 BSCECO,SSC,ECO,69900,56500,69900,56500
@@ -1786,5 +1786,5 @@
 MPHDEM,ENV,ESM,189500,122000,300000,112400
 PHDESM,ENV,ESM,189500,122000,300000,112400
-DECHD,ICH,CH,0,0,0,0
+DECHD,ICH,CH,98500,88500,98500,8850
 MSCGOVN,ICSAN,ICSAN,0,0,0,0
 MSCEI,MGS,ENT,0,0,0,0
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 18020)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 18022)
@@ -187,4 +187,5 @@
 PHDASFM,AGR,ANS,189500,122000,300000,112400
 PHDCCPFS,AGR,CRS,189500,122000,300000,112400
+PHDCPEPWS,AGR,CRS,189500,122000,300000,112400
 PHDCFPN,AGR,SOS,189500,122000,300000,112400
 PHDCPF,AGR,CRS,189500,122000,300000,112400
@@ -1492,7 +1493,7 @@
 BSCMTP,SCN,MAP,49500,14000,49500,14000
 BSCPPP,SCN,PPP,49500,14000,49500,14000
-BSCES,SPESSE,SPESSE,0,0,115500,95500
-BSCPM,SPESSE,SPESSE,0,0,105500,85500
-BSCSS,SPESSE,SPESSE,0,0,105500,85500
+BSCES,SPESSE,SPESSE,115500,95500,115500,95500
+BSCPM,SPESSE,SPESSE,105500,85500,105500,85500
+BSCSS,SPESSE,SPESSE,105500,85500,105500,85500
 BSCCRT,SSC,GEO,105500,85500,105500,85500
 BSCECO,SSC,ECO,105500,85500,105500,85500
@@ -1789,5 +1790,5 @@
 MPHDEM,ENV,ESM,189500,122000,300000,112400
 PHDESM,ENV,ESM,189500,122000,300000,112400
-DECHD,ICH,CH,0,0,0,0
+DECHD,ICH,CH,98500,88500,98500,8850
 MSCGOVN,ICSAN,ICSAN,0,0,0,0
 MSCEI,MGS,ENT,189500,122000,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 18020)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 18022)
@@ -187,4 +187,5 @@
 PHDASFM,AGR,ANS,189500,122000,300000,112400
 PHDCCPFS,AGR,CRS,189500,122000,300000,112400
+PHDCPEPWS,AGR,CRS,189500,122000,300000,112400
 PHDCFPN,AGR,SOS,189500,122000,300000,112400
 PHDCPF,AGR,CRS,189500,122000,300000,112400
@@ -1491,7 +1492,7 @@
 BSCMTP,SCN,MAP,49500,14000,49500,14000
 BSCPPP,SCN,PPP,49500,14000,49500,14000
-BSCES,SPESSE,SPESSE,0,0,115500,95500
-BSCPM,SPESSE,SPESSE,0,0,105500,85500
-BSCSS,SPESSE,SPESSE,0,0,105500,85500
+BSCES,SPESSE,SPESSE,115500,95500,115500,95500
+BSCPM,SPESSE,SPESSE,105500,85500,105500,85500
+BSCSS,SPESSE,SPESSE,105500,85500,105500,85500
 BSCCRT,SSC,GEO,105500,85500,105500,85500
 BSCECO,SSC,ECO,105500,85500,105500,85500
@@ -1789,5 +1790,5 @@
 MPHDEM,ENV,ESM,189500,122000,300000,112400
 PHDESM,ENV,ESM,189500,122000,300000,112400
-DECHD,ICH,CH,0,0,0,0
+DECHD,ICH,CH,98500,88500,98500,8850
 MSCGOVN,ICSAN,ICSAN,0,0,0,0
 MSCEI,MGS,ENT,189500,122000,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv	(revision 18020)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv	(revision 18022)
@@ -190,4 +190,5 @@
 PHDCPF,AGR,CRS,194500,127000,305000,117400
 PHDCRBG,AGR,CRS,194500,127000,305000,117400
+PHDCPEPWS,AGR,CRS,194500,127000,305000,117400
 PHDCRP,AGR,CRS,194500,127000,305000,117400
 PHDCRPS,AGR,CRS,194500,127000,305000,117400
@@ -1491,7 +1492,7 @@
 BSCMTP,SCN,MAP,54500,19000,54500,19000
 BSCPPP,SCN,PPP,54500,19000,54500,19000
-BSCES,SPESSE,SPESSE,5000,5000,120500,100500
-BSCPM,SPESSE,SPESSE,5000,5000,110500,90500
-BSCSS,SPESSE,SPESSE,5000,5000,110500,90500
+BSCES,SPESSE,SPESSE,120500,100500,120500,100500
+BSCPM,SPESSE,SPESSE,110500,90500,110500,90500
+BSCSS,SPESSE,SPESSE,110500,90500,110500,90500
 BSCCRT,SSC,GEO,110500,90500,110500,90500
 BSCECO,SSC,ECO,110500,90500,110500,90500
@@ -1789,5 +1790,5 @@
 MPHDEM,ENV,ESM,194500,127000,305000,117400
 PHDESM,ENV,ESM,194500,127000,305000,117400
-DECHD,ICH,CH,0,0,0,0
+DECHD,ICH,CH,98500,88500,98500,88500
 MSCGOVN,ICSAN,ICSAN,0,0,0,0
 MSCEI,MGS,ENT,194500,127000,305000,117400