Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 18022)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 18024)
@@ -1069,10 +1069,10 @@
 PHDTCH,PSC,CHM,151200,56450,301200,112650
 PHDTMP,PSC,PHY,151200,56450,301200,112650
-MSCES,SPESSE,SPESSE,201200,200250,301200,300250
-MSCPM,SPESSE,SPESSE,201200,200250,301200,300250
-MSCSS,SPESSE,SPESSE,201200,200250,301200,300250
-PGDES,SPESSE,SPESSE,201200,200250,301200,300250
-PGDPM,SPESSE,SPESSE,201200,200250,301200,300250
-PGDSS,SPESSE,SPESSE,201200,200250,301200,300250
+MSCES,SPESSE,SPESSE,67000,18200,201200,200250
+MSCPM,SPESSE,SPESSE,79000,18200,201200,200250
+MSCSS,SPESSE,SPESSE,79000,18200,201200,200250
+PGDES,SPESSE,SPESSE,67000,18200,201200,200250
+PGDPM,SPESSE,SPESSE,79000,18200,201200,200250
+PGDSS,SPESSE,SPESSE,79000,18200,201200,200250
 MBFE,SSC,ECO,201200,60450,301200,112650
 MPAFT,SSC,PUB,121200,56450,301200,112650
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 18022)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 18024)
@@ -1070,10 +1070,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,200000,200000,300000,300000
-MSCPM,SPESSE,SPESSE,200000,200000,300000,300000
-MSCSS,SPESSE,SPESSE,200000,200000,300000,300000
-PGDES,SPESSE,SPESSE,200000,200000,300000,300000
-PGDPM,SPESSE,SPESSE,200000,200000,300000,300000
-PGDSS,SPESSE,SPESSE,200000,200000,300000,300000
+MSCES,SPESSE,SPESSE,67000,18200,300000,300000
+MSCPM,SPESSE,SPESSE,79000,18200,300000,300000
+MSCSS,SPESSE,SPESSE,79000,18200,300000,300000
+PGDES,SPESSE,SPESSE,67000,18200,300000,300000
+PGDPM,SPESSE,SPESSE,79000,18200,300000,300000
+PGDSS,SPESSE,SPESSE,79000,18200,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 18022)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 18024)
@@ -936,10 +936,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,200000,200000,300000,300000
-MSCPM,SPESSE,SPESSE,200000,200000,300000,300000
-MSCSS,SPESSE,SPESSE,200000,200000,300000,300000
-PGDES,SPESSE,SPESSE,200000,200000,300000,300000
-PGDPM,SPESSE,SPESSE,200000,200000,300000,300000
-PGDSS,SPESSE,SPESSE,200000,200000,300000,300000
+MSCES,SPESSE,SPESSE,67000,18200,300000,300000
+MSCPM,SPESSE,SPESSE,79000,18200,300000,300000
+MSCSS,SPESSE,SPESSE,79000,18200,300000,300000
+PGDES,SPESSE,SPESSE,67000,18200,300000,300000
+PGDPM,SPESSE,SPESSE,79000,18200,300000,300000
+PGDSS,SPESSE,SPESSE,79000,18200,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 18022)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 18024)
@@ -997,10 +997,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,200000,200000,300000,300000
-MSCPM,SPESSE,SPESSE,200000,200000,300000,300000
-MSCSS,SPESSE,SPESSE,200000,200000,300000,300000
-PGDES,SPESSE,SPESSE,200000,200000,300000,300000
-PGDPM,SPESSE,SPESSE,200000,200000,300000,300000
-PGDSS,SPESSE,SPESSE,200000,200000,300000,300000
+MSCES,SPESSE,SPESSE,67000,18200,300000,300000
+MSCPM,SPESSE,SPESSE,79000,18200,300000,300000
+MSCSS,SPESSE,SPESSE,79000,18200,300000,300000
+PGDES,SPESSE,SPESSE,67000,18200,300000,300000
+PGDPM,SPESSE,SPESSE,79000,18200,300000,300000
+PGDSS,SPESSE,SPESSE,79000,18200,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv	(revision 18022)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv	(revision 18024)
@@ -997,10 +997,10 @@
 PHDTCH,PSC,CHM,194500,127000,305000,117400
 PHDTMP,PSC,PHY,194500,127000,305000,117400
-MSCES,SPESSE,SPESSE,205000,205000,305000,305000
-MSCPM,SPESSE,SPESSE,205000,205000,305000,305000
-MSCSS,SPESSE,SPESSE,205000,205000,305000,305000
-PGDES,SPESSE,SPESSE,205000,205000,305000,305000
-PGDPM,SPESSE,SPESSE,205000,205000,305000,305000
-PGDSS,SPESSE,SPESSE,205000,205000,305000,305000
+MSCES,SPESSE,SPESSE,72000,23200,305000,305000
+MSCPM,SPESSE,SPESSE,84000,23200,305000,305000
+MSCSS,SPESSE,SPESSE,84000,23000,305000,305000
+PGDES,SPESSE,SPESSE,72000,23200,305000,305000
+PGDPM,SPESSE,SPESSE,84000,23200,305000,305000
+PGDSS,SPESSE,SPESSE,84000,23000,305000,305000
 MBFE,SSC,ECO,194500,127000,305000,117400
 MPAFT,SSC,PUB,233500,192700,305000,117400