Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 18034)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 18035)
@@ -1069,10 +1069,10 @@
 PHDTCH,PSC,CHM,151200,56450,301200,112650
 PHDTMP,PSC,PHY,151200,56450,301200,112650
-MSCES,SPESSE,SPESSE,57500,8950,201200,200250
-MSCPM,SPESSE,SPESSE,70500,8950,201200,200250
-MSCSS,SPESSE,SPESSE,70500,8950,201200,200250
-PGDES,SPESSE,SPESSE,57500,8950,201200,200250
-PGDPM,SPESSE,SPESSE,70500,8950,201200,200250
-PGDSS,SPESSE,SPESSE,70500,8950,201200,200250
+MSCES,SPESSE,SPESSE,56300,8950,201200,200250
+MSCPM,SPESSE,SPESSE,69500,8950,201200,200250
+MSCSS,SPESSE,SPESSE,69500,8950,201200,200250
+PGDES,SPESSE,SPESSE,56300,8950,201200,200250
+PGDPM,SPESSE,SPESSE,69500,8950,201200,200250
+PGDSS,SPESSE,SPESSE,69500,8950,201200,200250
 MBFE,SSC,ECO,201200,60450,301200,112650
 MPAFT,SSC,PUB,121200,56450,301200,112650
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 18034)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 18035)
@@ -1070,10 +1070,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,57500,8950,300000,300000
-MSCPM,SPESSE,SPESSE,70500,8950,300000,300000
-MSCSS,SPESSE,SPESSE,70500,8950,300000,300000
-PGDES,SPESSE,SPESSE,57500,8950,300000,300000
-PGDPM,SPESSE,SPESSE,70500,8950,300000,300000
-PGDSS,SPESSE,SPESSE,70500,8950,300000,300000
+MSCES,SPESSE,SPESSE,56300,8950,300000,300000
+MSCPM,SPESSE,SPESSE,69500,8950,300000,300000
+MSCSS,SPESSE,SPESSE,69500,8950,300000,300000
+PGDES,SPESSE,SPESSE,56300,8950,300000,300000
+PGDPM,SPESSE,SPESSE,69500,8950,300000,300000
+PGDSS,SPESSE,SPESSE,69500,8950,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 18034)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 18035)
@@ -936,10 +936,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,57500,8950,300000,300000
-MSCPM,SPESSE,SPESSE,70500,8950,300000,300000
-MSCSS,SPESSE,SPESSE,70500,8950,300000,300000
-PGDES,SPESSE,SPESSE,57500,8950,300000,300000
-PGDPM,SPESSE,SPESSE,70500,8950,300000,300000
-PGDSS,SPESSE,SPESSE,70500,8950,300000,300000
+MSCES,SPESSE,SPESSE,56300,8950,300000,300000
+MSCPM,SPESSE,SPESSE,69500,8950,300000,300000
+MSCSS,SPESSE,SPESSE,69500,8950,300000,300000
+PGDES,SPESSE,SPESSE,56300,8950,300000,300000
+PGDPM,SPESSE,SPESSE,69500,8950,300000,300000
+PGDSS,SPESSE,SPESSE,69500,8950,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 18034)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 18035)
@@ -997,10 +997,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,57500,8950,300000,300000
-MSCPM,SPESSE,SPESSE,70500,8950,300000,300000
-MSCSS,SPESSE,SPESSE,70500,8950,300000,300000
-PGDES,SPESSE,SPESSE,57500,8950,300000,300000
-PGDPM,SPESSE,SPESSE,70500,8950,300000,300000
-PGDSS,SPESSE,SPESSE,70500,8950,300000,300000
+MSCES,SPESSE,SPESSE,56300,8950,300000,300000
+MSCPM,SPESSE,SPESSE,69500,8950,300000,300000
+MSCSS,SPESSE,SPESSE,69500,8950,300000,300000
+PGDES,SPESSE,SPESSE,56300,8950,300000,300000
+PGDPM,SPESSE,SPESSE,69500,8950,300000,300000
+PGDSS,SPESSE,SPESSE,69500,8950,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400