Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/browser.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/browser.py	(revision 18044)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/browser.py	(revision 18048)
@@ -276,36 +276,36 @@
 
 SPLIT_ACCOUNTS = {
-        'schoolfee':            [{"alias":"espu school fees account","percentage":"100","description":"Tuition Exams Fee","isPrimary":"true"},],
-        'clearance':            [{"alias":"espu school fees account","percentage":"85","description":"Acceptance Fee","isPrimary":"true"},
-                                 {"alias":"waeac","percentage":"15","description":"WAEAC Fee"},],
+        'schoolfee':            [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Tuition Exams Fee","isPrimary":"true"},],
+        'clearance':            [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"85","description":"Acceptance Fee","isPrimary":"true"},
+                                 {"alias":"WAeAC LTD","percentage":"15","description":"WAeAC Fee"},],
         #'bed_allocation': 'Accommodation Booking Fee',
-        'hostel_maintenance':   [{"alias":"espu school fees account","description":"Hostel Maintenance Fee","isPrimary":"true"},],
+        'hostel_maintenance':   [{"alias":"ESP, USEN SCHOOL ACCOUNT","description":"Hostel Maintenance Fee","isPrimary":"true"},],
         #'application': 'Application Fee',
-        'ict_entre':            [{"alias":"espu school fees account","percentage":"70","description":"ICT and Entrepreneur Fee","isPrimary":"true"},
-                                 {"alias":"waeac","percentage":"30","description":"Provider_amt"},],
-        'logbook_combo':        [{"alias":"espu school fees account","percentage":"100","description":"Logbook Fee","isPrimary":"true"},],
-        'siwess_combo':         [{"alias":"espu school fees account","description":"SIWES Fee","percentage":"100","isPrimary":"true"},],
-        'transcript':           [{"alias":"espu school fees account","percentage":"100","description":"Transcript Fee","isPrimary":"true"},],
+        'ict_entre':            [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"70","description":"ICT and Entrepreneur Fee","isPrimary":"true"},
+                                 {"alias":"WAeAC LTD","percentage":"30","description":"WAeAC Fee"},],
+        'logbook_combo':        [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Logbook Fee","isPrimary":"true"},],
+        'siwess_combo':         [{"alias":"ESP, USEN SCHOOL ACCOUNT","description":"SIWES Fee","percentage":"100","isPrimary":"true"},],
+        'transcript':           [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Transcript Fee","isPrimary":"true"},],
         #'certificate': 'Certificate Fee',
-        'certificate_confirm':  [{"alias":"espu school fees account","percentage":"100","description":"Certificate Confirmation Fee","isPrimary":"true"},],
-        'late_registration':    [{"alias":"espu school fees account","percentage":"100","description":"Late Course Registration Fee","isPrimary":"true"},],
-        'final_clearance':      [{"alias":"espu school fees account","percentage":"100","description":"Final Clearance Fee","isPrimary":"true"},],
-        'union':                [{"alias":"esp sug","percentage":"100","description":"Student Union Dues","isPrimary":"true"},],
-        'admission_checking':   [{"alias":"espu school fees account","percentage":"100","description":"Admission Checking Fee,","isPrimary":"true"},],
-        'medical':              [{"alias":"espu school fees account","percentage":"100","description":"Medical Lab. Test Fee","isPrimary":"true"},],
-        'conv_nd':              [{"alias":"espu school fees account","percentage":"100","description":"ND Convocation Fee","isPrimary":"true"},],
-        'conv_hnd':             [{"alias":"espu school fees account","percentage":"100","description":"HND Convocation Fee","isPrimary":"true"},],
-        'nhis':                 [{"alias":"esp nhis","percentage":"100","description":"Tiship Fee","isPrimary":"true"},],
-        'coc':                  [{"alias":"espu school fees account","percentage":"100","description":"Change of Course Fee","isPrimary":"true"},],
-        'damages':              [{"alias":"espu school fees account","percentage":"100","description":"Damages Fee","isPrimary":"true"},],
-        'project_bind':         [{"alias":"espu school fees account","percentage":"100","description":"Project Binding Fee","isPrimary":"true"},],
-        'maintenance':          [{"alias":"espu school fees account","percentage":"100","description":"Maintenance & Utility Fee","isPrimary":"true"},],
+        'certificate_confirm':  [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Certificate Confirmation Fee","isPrimary":"true"},],
+        'late_registration':    [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Late Course Registration Fee","isPrimary":"true"},],
+        'final_clearance':      [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Final Clearance Fee","isPrimary":"true"},],
+        'union':                [{"alias":"ESP, USEN STUDENTS UNION DUES","percentage":"100","description":"Student Union Dues","isPrimary":"true"},],
+        'admission_checking':   [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Admission Checking Fee,","isPrimary":"true"},],
+        'medical':              [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Medical Lab. Test Fee","isPrimary":"true"},],
+        'conv_nd':              [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"ND Convocation Fee","isPrimary":"true"},],
+        'conv_hnd':             [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"HND Convocation Fee","isPrimary":"true"},],
+        'nhis':                 [{"alias":"ESP, USEN TISHIP FEE ACCOUNT","percentage":"100","description":"Tiship Fee","isPrimary":"true"},],
+        'coc':                  [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Change of Course Fee","isPrimary":"true"},],
+        'damages':              [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Damages Fee","isPrimary":"true"},],
+        'project_bind':         [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Project Binding Fee","isPrimary":"true"},],
+        'maintenance':          [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Maintenance & Utility Fee","isPrimary":"true"},],
         #'cyber': 'Cyber Security',
-        'ispon':                [{"alias":"esp/ispon safety pp","percentage":"100","description":"ISPON Safety Fee","isPrimary":"true"},],
-        'indigene':             [{"alias":"espu school fees account","percentage":"100","description":"Non-State Indigene Fee","isPrimary":"true"},],
-        'develop':              [{"alias":"espu school fees account","percentage":"100","description":"Development Fee","isPrimary":"true"},],
-        'sport':                [{"alias":"espu school fees account","percentage":"100","description":"Sport Development Fee","isPrimary":"true"},],
-        'gown':                 [{"alias":"espu school fees account","percentage":"100","description":"Matriculation Gown Fee","isPrimary":"true"},],
-        'global_practics':      [{"alias":"espu school fees account","percentage":"100","description":"Global Practice Fee","isPrimary":"true"},],
+        'ispon':                [{"alias":"ISPON SAFETY","percentage":"100","description":"ISPON Safety Fee","isPrimary":"true"},],
+        'indigene':             [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Non-State Indigene Fee","isPrimary":"true"},],
+        'develop':              [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Development Fee","isPrimary":"true"},],
+        'sport':                [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Sport Development Fee","isPrimary":"true"},],
+        'gown':                 [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Matriculation Gown Fee","isPrimary":"true"},],
+        'global_practics':      [{"alias":"ESP, USEN SCHOOL ACCOUNT","percentage":"100","description":"Global Practice Fee","isPrimary":"true"},],
         }
 