Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 18074)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 18075)
@@ -1661,46 +1661,46 @@
 MPHDCHE,ENG,CHE,190700,122250,301200,112650
 PHDLEDU,EDU,DEF,190700,122250,301200,112650
-MPPSPSY,SSC,SAA,190700,122250,301200,0
-PHDCOME,EDU,CIT,190700,122250,301200,0
-PHDPWE,COEGPE,COEPEE,190700,122250,301200,0
-PHDPGE,COEGPE,COEPEE,190700,122250,301200,0
-PHDPERE,COEGPE,COEPEE,190700,122250,301200,0
-MPHECE,INE,INE,190700,122250,301200,0
-MPHPECE,INE,INE,190700,122250,301200,0
-PHDPEPT,COEGPE,COEPEE,190700,122250,301200,0
-MPHLAW,LAW,LAW,190700,122250,301200,0
-MPHDM,MGS,MKT,190700,122250,301200,0
-MPDSC,SSC,SAA,190700,122250,301200,0
-MPACTC,ART,REL,190700,122250,301200,0
-MPATR,ART,REL,190700,122250,301200,0
-MPBS,ART,REL,190700,122250,301200,0
-PHDECHE,INE,INE,190700,122250,301200,0
-MPREL,ART,REL,190700,122250,301200,0
-PHDEPGP,COEGPE,COEGPHY,190700,122250,301200,0
-PHDSOR,ART,REL,190700,122250,301200,0
-PHDEAD,EDU,DEM,190700,122250,301200,0
-PHDEPG,COEGPE,COEGLY,190700,122250,301200,0
-MPHDPA,SSC,PUB,190700,122250,301200,0
-MSCCM,ENV,QSV,156200,99250,301200,0
-MENGEECT,ENG,EEE,156200,99250,301200,0
-MSEPGP,COEGPE,COEGPHY,156200,99250,301200,0
-MSCESM,ENV,ESM,156200,99250,301200,0
-MSCQS,ENV,QSV,156200,99250,301200,0
-MAGSPB,CGS,CGS,133200,82750,301200,0
-MAEDEL,EDU,DEF,133200,82750,301200,0
-MSCDST,INP,INP,133200,82750,301200,0
-PGDPCCP,LAW,LAW,133200,82750,301200,0
-PGDMLP,LAW,LAW,133200,82750,301200,0
-PGDLCS,LAW,LAW,133200,82750,301200,0
-PGDILHP,LAW,LAW,133200,82750,301200,0
-PGDCJ,LAW,LAW,133200,82750,301200,0
-PGDEM,ENV,ESM,133200,82750,301200,0
-PGDAD,LAW,LAW,133200,82750,301200,0
-MEDECHE,INE,INE,132000,82500,300000,0
-MEDECED,INE,INE,133200,82750,301200,0
-PGDQS,ENV,QSV,133200,82750,301200,0
-PGDCM,ENV,QSV,133200,82750,301200,0
-PGSESM,ENV,ESM,133200,82750,301200,0
-MASOR,ART,REL,133200,82750,301200,0
+MPPSPSY,SSC,SAA,190700,122250,301200,112650
+PHDCOME,EDU,CIT,190700,122250,301200,112650
+PHDPWE,COEGPE,COEPEE,190700,122250,301200,112650
+PHDPGE,COEGPE,COEPEE,190700,122250,301200,112650
+PHDPERE,COEGPE,COEPEE,190700,122250,301200,112650
+MPHECE,INE,INE,190700,122250,301200,112650
+MPHPECE,INE,INE,190700,122250,301200,112650
+PHDPEPT,COEGPE,COEPEE,190700,122250,301200,112650
+MPHLAW,LAW,LAW,190700,122250,301200,112650
+MPHDM,MGS,MKT,190700,122250,301200,112650
+MPDSC,SSC,SAA,190700,122250,301200,112650
+MPACTC,ART,REL,190700,122250,301200,112650
+MPATR,ART,REL,190700,122250,301200,112650
+MPBS,ART,REL,190700,122250,301200,112650
+PHDECHE,INE,INE,190700,122250,301200,112650
+MPREL,ART,REL,190700,122250,301200,112650
+PHDEPGP,COEGPE,COEGPHY,190700,122250,301200,112650
+PHDSOR,ART,REL,190700,122250,301200,112650
+PHDEAD,EDU,DEM,190700,122250,301200,112650
+PHDEPG,COEGPE,COEGLY,190700,122250,301200,112650
+MPHDPA,SSC,PUB,190700,122250,301200,112650
+MSCCM,ENV,QSV,156200,99250,301200,112650
+MENGEECT,ENG,EEE,156200,99250,301200,112650
+MSEPGP,COEGPE,COEGPHY,156200,99250,301200,112650
+MSCESM,ENV,ESM,156200,99250,301200,112650
+MSCQS,ENV,QSV,156200,99250,301200,112650
+MAGSPB,CGS,CGS,133200,82750,301200,112650
+MAEDEL,EDU,DEF,133200,82750,301200,112650
+MSCDST,INP,INP,133200,82750,301200,112650
+PGDPCCP,LAW,LAW,133200,82750,301200,112650
+PGDMLP,LAW,LAW,133200,82750,301200,112650
+PGDLCS,LAW,LAW,133200,82750,301200,112650
+PGDILHP,LAW,LAW,133200,82750,301200,112650
+PGDCJ,LAW,LAW,133200,82750,301200,112650
+PGDEM,ENV,ESM,133200,82750,301200,112650
+PGDAD,LAW,LAW,133200,82750,301200,112650
+MEDECHE,INE,INE,132000,82500,300000,112650
+MEDECED,INE,INE,133200,82750,301200,112650
+PGDQS,ENV,QSV,133200,82750,301200,112650
+PGDCM,ENV,QSV,133200,82750,301200,112650
+PGSESM,ENV,ESM,133200,82750,301200,112650
+MASOR,ART,REL,133200,82750,301200,112650
 BSCESD,ENV,GEM,74600,60750,104000,73650
 BENGEVS,ENG,CVE,74600,60750,104000,73650
@@ -1709,2 +1709,42 @@
 BSCPMT,SSC,ECO,71100,56750,97000,47950
 BSCSSD,SSC,SAA,71100,56750,97000,47950
+BASEDU,VTE,AED,74600,60750,97000,73650
+BASESW,VTE,AED,71100,56750,97000,73650
+BFAEDU,VTE,AED,71100,50350,97000,73650
+BFAESW,VTE,AED,71100,60750,97000,73650
+BACEDU,VTE,BED,71100,49950,97000,73650
+BACESW,VTE,BED,71100,56750,97000,73650
+BBEEDU,VTE,BED,71100,49550,97000,73650
+BBEESW,VTE,BED,71100,56750,97000,73650
+BCSEDU,VTE,BED,74600,60750,97000,73650
+BCSESW,VTE,BED,71100,56750,97000,73650
+BENEDU,VTE,BED,71100,49150,97000,73650
+BENESW,VTE,BED,71100,56350,97000,73650
+BMKEDU,VTE,BED,71100,48750,97000,73650
+BMKESW,VTE,BED,71100,55950,97000,73650
+BTMEDU,VTE,BED,74600,60750,97000,73650
+BTMESW,VTE,BED,71100,55550,97000,73650
+BCDEDU,VTE,HEE,71100,48350,97000,73650
+BCDESW,VTE,HEE,71100,55150,97000,73650
+BCTEDU,VTE,HEE,74600,60750,97000,73650
+BCTESW,VTE,HEE,71100,54750,97000,73650
+BFNEDU,VTE,HEE,74600,60750,97000,73650
+BFNESW,VTE,HEE,71100,54350,97000,73650
+BHEEDU,VTE,HEE,74600,60750,97000,73650
+BHEESW,VTE,HEE,71100,53950,97000,73650
+BHMEDU,VTE,HEE,74600,60750,97000,73650
+BHMESW,VTE,HEE,71100,53550,97000,73650
+BHTEDU,VTE,HEE,74600,60750,97000,73650
+BHTESW,VTE,HEE,71100,53150,97000,73650
+BATEDU,VTE,ITE,74600,60750,97000,73650
+BATESW,VTE,ITE,71100,52750,97000,73650
+BBCEDU,VTE,ITE,74600,60750,97000,73650
+BBCESW,VTE,ITE,71100,52350,97000,73650
+BEEEDU,VTE,ITE,74600,60750,97000,73650
+BEEESW,VTE,ITE,71100,51950,97000,73650
+BINTEDU,VTE,ITE,74600,60750,97000,73650
+BINTESW,VTE,ITE,71100,51550,97000,73650
+BMTEDU,VTE,ITE,74600,60750,97000,73650
+BMTESW,VTE,ITE,71100,51150,97000,73650
+BWTEDU,VTE,ITE,74600,60750,97000,73650
+BWTESW,VTE,ITE,71100,50750,97000,73650