Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 18063)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 18076)
@@ -831,5 +831,5 @@
         students_utils = getUtility(IStudentsUtils)
         return students_utils.renderPDF(
-            self, 'basedata_slip.pdf',
+            self, 'basedata_slip_%s.pdf' % self.context.student.student_id,
             self.context.student, studentview, 
             omit_fields=self.omit_fields)
@@ -870,5 +870,5 @@
         students_utils = getUtility(IStudentsUtils)
         return students_utils.renderPDF(
-            self, 'personal_slip.pdf',
+            self, 'personal_slip_%s.pdf' % self.context.student.student_id,
             self.context.student, studentview,
             omit_fields=self.omit_fields)
@@ -933,5 +933,5 @@
         students_utils = getUtility(IStudentsUtils)
         return students_utils.renderPDF(
-            self, 'clearance_slip.pdf',
+            self, 'clearance_slip_%s.pdf' % self.context.student.student_id,
             self.context.student, studentview, signatures=self._signatures(),
             sigs_in_footer=self._sigsInFooter(),
@@ -1719,5 +1719,5 @@
 
         pdfstream = students_utils.renderPDFTranscript(
-            self, 'transcript.pdf',
+            self, 'transcript_%s.pdf' % self.context.student.student_id,
             self.context.student, studentview,
             omit_fields=self.omit_fields,
@@ -1895,5 +1895,5 @@
                              ])
         return students_utils.renderPDF(
-            self, 'course_registration_slip.pdf',
+            self, 'course_registration_slip_%s.pdf' % self.context.student.student_id,
             self.context.student, studentview,
             tableheader=tableheader,
@@ -3065,5 +3065,5 @@
             note, 'waeup.kofa', target_language=portal_language)
         return students_utils.renderPDF(
-            self, 'final_clearance_slip.pdf',
+            self, 'final_clearance_slip_%s.pdf' % self.context.student.student_id,
             self.context.student, studentview,
             omit_fields=self.omit_fields,
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/fileviewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/fileviewlets.py	(revision 18063)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/fileviewlets.py	(revision 18076)
@@ -83,4 +83,7 @@
     grok.require('waeup.viewStudent')
 
+    @property
+    def add_id(self):
+        return self.context.student_id
 
 # File viewlets for student base and clearance page
@@ -226,7 +229,4 @@
     download_name = u'routingslip'
 
-    @property
-    def add_id(self):
-        return self.context.student_id
 
 class ApplicationSlipImage(StudentImage):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 18063)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 18076)
@@ -881,5 +881,5 @@
 
         # Insert history
-        if filename == 'clearance_slip.pdf':
+        if 'clearance_slip' in filename:
             hist_translation = trans(_('Workflow History'), portal_language)
             data.append(Paragraph(hist_translation, HEADING_STYLE))
@@ -917,4 +917,6 @@
         view.response.setHeader(
             'Content-Type', 'application/pdf')
+        view.response.setHeader(
+            'Content-Disposition:', 'attachment; filename="%s' % filename)
         try:
             pdf_stream = creator.create_pdf(
@@ -1130,4 +1132,7 @@
         view.response.setHeader(
             'Content-Type', 'application/pdf')
+        view.response.setHeader(
+            'Content-Disposition:', 'attachment; filename="%s' % filename)
+
         try:
             pdf_stream = creator.create_pdf(
@@ -1210,5 +1215,6 @@
             # requested by Uniben
             dt = view.context.__parent__.__parent__.longtitle
-            doc_title = '%s\n%s (%s)\nMid-Semester Continuous Assessment\nAcademic Session %s' % (dt, ct, view.context.code, session)
+            #doc_title = '%s\n%s (%s)\nMid-Semester Continuous Assessment\nAcademic Session %s' % (dt, ct, view.context.code, session)
+            doc_title = '%s\n%s (%s)\nAcademic Session %s' % (dt, ct, view.context.code, session)
         #footer_title = translate(_('${a} (${b}) - ${d}',
         #    mapping = {'a':ft,