Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 18115)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 18116)
@@ -12,5 +12,27 @@
 Kindly note the following:
 
-Fees indicated on the Fee Structure page are valid for the current session only. Your Student Id (indicated above) is your logln to the University portal. As an indication of your acceptance of this offer of admission, you should pay a non-refundable Acceptance deposit of N200,000 immediately. Further note that the N200,000 deposit is part of the tuition fee for the session. Failure to pay may lead to forfeiture of admission. All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. This is the rule for all students at all levels. Install mental payments of not more than two installments, may be allowed under exceptional circumstances. Fees once paid are not refundable. It is advisable that you keep the original receipts of fees paid and present them on demand.
+Fees indicated on the Fee Structure page are valid for the current session only. Your Student Id (indicated above) is your logln to the University portal. As an indication of your acceptance of this offer of admission, you should pay a non-refundable Acceptance deposit of N300,000 immediately. Further note that the N300,000 deposit is part of the tuition fee for the session. Failure to pay may lead to forfeiture of admission. All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. This is the rule for all students at all levels. Install mental payments of not more than two installments, may be allowed under exceptional circumstances. Fees once paid are not refundable. It is advisable that you keep the original receipts of fees paid and present them on demand.
+
+Accommodation: Accommodation in University hostels is compulsory for every student. No student Is allowed to live outside the hostels. Any student who does so will be expelled from the University.
+
+Food: Food is available in cafeteria on "pay-as-you-eat" basis.
+"""
+
+ADML_UG_1_MORE_EXPENSIVE = """
+Progression to 200 level is highly competitive and strictly based on merit/approved quota. Students who are unable to make the cut off CGPA will have the option of transferring to other allied courses.
+
+Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: Current UTME result slip, WAEC/NECO (0' Level) result, Birth certificate or sworn affidavit of age, and health certificate from a recognized Medical Centre.
+
+All credentials (original) will be checked during registration. This admission will be cancelled at any point in time it is found that your claims in the application form are false.
+
+You are required to show evidence of the result / credentials you presented on application for admission.
+
+Fees can be paid using any of the following options:
+
+Fees can be paid through your portal page. INSTRUCTIONS can be found below "FEES PAYMENT PROCEDURE" for the options you have to make your payment, as well as instructions on how to use your preferred payment option. If you choose to use the bank payment option, you can pay at any branch of the following banks through Etranzact platform only: Access Bank, First Bank, Zenith Bank
+
+Kindly note the following:
+
+Fees indicated on the Fee Structure page are valid for the current session only. Your Student Id (indicated above) is your logln to the University portal. As an indication of your acceptance of this offer of admission, you should pay a non-refundable Acceptance deposit of N500,000 immediately. Further note that the N500,000 deposit is part of the tuition fee for the session. Failure to pay may lead to forfeiture of admission. All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. This is the rule for all students at all levels. Install mental payments of not more than two installments, may be allowed under exceptional circumstances. Fees once paid are not refundable. It is advisable that you keep the original receipts of fees paid and present them on demand.
 
 Accommodation: Accommodation in University hostels is compulsory for every student. No student Is allowed to live outside the hostels. Any student who does so will be expelled from the University.
@@ -66,6 +88,2 @@
 
 """
-
-INTRO_VARIOUS = """
-Progression to 200 level Law programme is highly competitive and strictly based on merit/approved quota. Students who are unable to make the cut off CGPA will have the option of transferring to other allied courses.
-"""
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 18115)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 18116)
@@ -427,5 +427,5 @@
 from kofacustom.iuokada.students.admission_letter_ug import (
     ADML_UG_1, ADML_UG_2, ADML_UG_3, ADML_UG_2_MEDICAL, ADML_UG_2_PHARMACY, 
-    BASIC_MEDICAL_ONLY, BASIC_PHARMACY_ONLY, INTRO_VARIOUS)
+    BASIC_MEDICAL_ONLY, BASIC_PHARMACY_ONLY, ADML_UG_1_MORE_EXPENSIVE)
 from kofacustom.iuokada.students.admission_letter_pg import ADML_PG
 from kofacustom.iuokada.students.admission_letter_pt import ADML_PT
@@ -522,8 +522,8 @@
             #post_text = BASIC_PHARMACY_ONLY + ADML_UG_1 + ADML_UG_2_MEDICAL + ADML_UG_3
             post_text = ADML_UG_1 + ADML_UG_2_MEDICAL + ADML_UG_3
+        elif self.context.certcode in ('DPHARM','MBBSMED','BSCNNUR','LAW','CERT1') and self.context.current_level == 100:
+            post_text = ADML_UG_1_MORE_EXPENSIVE + ADML_UG_2 + ADML_UG_3
         else:
             post_text = ADML_UG_1 + ADML_UG_2 + ADML_UG_3
-        if self.context.certcode in ('DPHARM','MBBSMED','BSCNNUR','LAW','CERT1') and self.context.current_level == 100:
-            post_text = INTRO_VARIOUS + post_text
         return students_utils.renderPDFAdmissionLetter(self,
             self.context.student, omit_fields=self.omit_fields,