Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 18118)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 18119)
@@ -32,11 +32,9 @@
 Fees can be paid through your portal page. INSTRUCTIONS can be found below "FEES PAYMENT PROCEDURE" for the options you have to make your payment, as well as instructions on how to use your preferred payment option. If you choose to use the bank payment option, you can pay at any branch of the following banks through Etranzact platform only: Access Bank, First Bank, Zenith Bank
 
-Kindly note the following:
+<fettt>Kindly note the following:</fettt> Fees indicated on the Fee Structure page are valid for the current session only. Your Student Id (indicated above) is your logln to the University portal. As an indication of your acceptance of this offer of admission, you should pay a non-refundable Acceptance deposit of N500,000 immediately. Further note that the N500,000 deposit is part of the tuition fee for the session. Failure to pay may lead to forfeiture of admission. All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. This is the rule for all students at all levels. Install mental payments of not more than two installments, may be allowed under exceptional circumstances. Fees once paid are not refundable. It is advisable that you keep the original receipts of fees paid and present them on demand.
 
-Fees indicated on the Fee Structure page are valid for the current session only. Your Student Id (indicated above) is your logln to the University portal. As an indication of your acceptance of this offer of admission, you should pay a non-refundable Acceptance deposit of N500,000 immediately. Further note that the N500,000 deposit is part of the tuition fee for the session. Failure to pay may lead to forfeiture of admission. All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. This is the rule for all students at all levels. Install mental payments of not more than two installments, may be allowed under exceptional circumstances. Fees once paid are not refundable. It is advisable that you keep the original receipts of fees paid and present them on demand.
+<fettt>Accommodation:</fettt> Accommodation in University hostels is compulsory for every student. No student Is allowed to live outside the hostels. Any student who does so will be expelled from the University.
 
-Accommodation: Accommodation in University hostels is compulsory for every student. No student Is allowed to live outside the hostels. Any student who does so will be expelled from the University.
-
-Food: Food is available in cafeteria on "pay-as-you-eat" basis.
+<fettt>Food:</fettt> Food is available in cafeteria on <fettt>"pay-as-you-eat"</fettt> basis.
 """
 
@@ -44,25 +42,25 @@
 University opens for fresh students on Saturday, 27th September, 2025. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 29th September, 2025 - Friday, 3rd October, 2025.  All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+<fettt>Registration/Orientation Programme:</fettt> Orientation programme/registration for fresh students will start on Monday, 29th September, 2025 - Friday, 3rd October, 2025.  All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
 ADML_UG_2_PHARMACY = """
-Resumption Date: The university opens for fresh students on Saturday, 27th September, 2025. All newly admitted students are expected to resume on that date.
+<fettt>Resumption Date:</fettt> The university opens for fresh students on Saturday, 27th September, 2025. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 29th September, 2025 - Friday, 3rd October, 2025.  All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+<fettt>Registration/Orientation Programme:</fettt> Orientation programme/registration for fresh students will start on Monday, 29th September, 2025 - Friday, 3rd October, 2025.  All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
 ADML_UG_2 = """
-Resumption Date: The University opens for fresh students on Saturday, 27th September, 2025. All newly admitted students are expected to resume on that date.
+<fettt>Resumption Date:</fettt> The University opens for fresh students on Saturday, 27th September, 2025. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 29th September, 2025 - Friday, 3rd October, 2025.  All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+<fettt>Registration/Orientation Programme:</fettt> Orientation programme/registration for fresh students will start on Monday, 29th September, 2025 - Friday, 3rd October, 2025.  All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
 ADML_UG_3 = """
-Transport Facility: The University provides a compulsory shuttle bus service to all students at a fee already included in the other charges.
+<fettt>Transport Facility:</fettt> The University provides a compulsory shuttle bus service to all students at a fee already included in the other charges.
 
 Kindly note that fresh students are not allowed the use of private vehicles.
 
-Conduct: All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
+<fettt>Conduct:</fettt> All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
 
 We wish you a successful academic career in Igbinedion University.